package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.SupplierAddress;
import org.openxma.dsl.reference.base.ContactInfo;

public abstract class SupplierViewGen implements Serializable {
	private static final long serialVersionUID = -485945008;
	protected String oid;
	protected Date version;
	protected String companyName;
	protected SupplierAddress address = new SupplierAddress();
	protected String customerOid;
	protected ContactInfo contact = new ContactInfo();
	protected String type3;
	protected String code3;
	protected String code;
	
	public String getOid() {
        return this.oid;
    }
	
	public void setOid(String oid) {
        this.oid=oid;
    }
	
	public Date getVersion() {
        return this.version;
    }
	
	public void setVersion(Date version) {
        this.version=version;
    }
	
	public String getCompanyName() {
        return this.companyName;
    }
	
	public void setCompanyName(String companyName) {
        this.companyName=companyName;
    }
	
	public SupplierAddress getAddress() {
        return this.address;
    }
	
	public void setAddress(SupplierAddress address) {
        this.address=address;
    }
	
	public String getCustomerOid() {
        return this.customerOid;
    }
	
	public void setCustomerOid(String customerOid) {
        this.customerOid=customerOid;
    }
	
	public ContactInfo getContact() {
        return this.contact;
    }
	
	public void setContact(ContactInfo contact) {
        this.contact=contact;
    }
	
	public String getType3() {
        return this.type3;
    }
	
	public void setType3(String type3) {
        this.type3=type3;
    }
	
	public String getCode3() {
        return this.code3;
    }
	
	public void setCode3(String code3) {
        this.code3=code3;
    }
	
	public String getCode() {
        return this.code;
    }
	
	public void setCode(String code) {
        this.code=code;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("SupplierView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("version=").append(getVersion()).append(",");
        toStringBuilder.append("companyName=").append(getCompanyName()).append(",");
        toStringBuilder.append("customerOid=").append(getCustomerOid()).append(",");
        toStringBuilder.append("type3=").append(getType3()).append(",");
        toStringBuilder.append("code3=").append(getCode3()).append(",");
        toStringBuilder.append("code=").append(getCode());
        return toStringBuilder.append("]").toString();
    }
}
