package org.openxma.dsl.reference.model;

import java.util.Set;
import org.openxma.dsl.reference.model.Bug;

public interface BugGen {
	
	Long getOid();
	void setOid(Long oid);
	
	String getBugId();
	void setBugId(String bugId);
	
	Set<Bug> getRelatedBugs();
	boolean hasRelatedBugs();
	void addRelatedBugs(Bug relatedBugs);
	void removeRelatedBugs(Bug relatedBugs);
	void removeAllRelatedBugs();
	
	Set<Bug> getRelatedByBugs();
	boolean hasRelatedByBugs();
	void addRelatedByBugs(Bug relatedByBugs);
	void removeRelatedByBugs(Bug relatedByBugs);
	void removeAllRelatedByBugs();
}
