package org.openxma.dsl.reference.validation;

import org.springframework.validation.Errors;
import org.openxma.dsl.reference.model.RoleGroup;
import org.openxma.dsl.reference.validation.RoleValidator;

@SuppressWarnings("boxing")
public abstract class RoleGroupGenValidator extends RoleValidator {
        
    @SuppressWarnings("unchecked")
    public boolean supports(Class clazz) {
        return RoleGroup.class.isAssignableFrom(clazz);
    }
    
    public Errors validate(RoleGroup roleGroup) {
        Errors errors = createErrors(roleGroup);      
        super.validate(roleGroup,errors);
        validate(roleGroup,errors);
        return errors;
    }

    public void validate(Object object, Errors errors) {
        RoleGroup roleGroup = (RoleGroup) object;
    }
    
}
