package org.openxma.dsl.reference.ui.layouting.client;

import org.eclipse.swt.widgets.Composite;
import at.spardat.xma.session.XMASessionClient;

/**
 * This class implements the client part of Layouting.
 *
 */
public class Layouting extends LayoutingGen {

    /**
     * Initializes the Layouting. This method is called
     * by the XMA-Runtime.
     *
     * @param session the XMASession, this Layouting belongs to.
     */
    public Layouting(XMASessionClient session) {
        super (session);
        setMainPage(new LayoutingPage(this));
    }

    /**
     * Invokes the Layouting. This method reads the
     * key-value-pairs of the input, shows the windows
     * of the Layouting and returns the output as
     * key-value-pairs. This method is called
     * by the XMA-Runtime.
     *
     * @param parentComposite a composite of the calling page. In most
     *     cases it will be a shell. It my be null.
     */
    public void invoke(Composite parentComposite) {
        //TODO implement invoke here! Change its content to what you need.
        super.invoke(parentComposite);
    }

}
